<?php
/**
 * @version 0.2 $Id: jcomments.php 666 2009-12-24 01:02:11Z devil $
 * @package Joomla
 * @subpackage FLEXIcontent
 * @subpackage plugin.jcomments
 * @copyright (C) 2009 Markus Rouenhoff - www.joomla-aktuell.de
 * @license GNU/GPL v2
 *
 * FLEXIcontent is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */
defined( '_JEXEC' ) or die( 'Restricted access' );

//jimport('joomla.plugin.plugin');
jimport('joomla.event.plugin');

class plgFlexicontent_fieldsJComments extends JPlugin
{
	function plgFlexicontent_fieldsJComments( &$subject, $params )
	{
		parent::__construct( $subject, $params );
        JPlugin::loadLanguage('plg_flexicontent_fields_jcomments', JPATH_ADMINISTRATOR);
	}

  // this shows up only in Article Edit at the BackEnd
	function onDisplayField(&$field, $item)
	{
		// execute the code only if the field type match the plugin type
		if($field->field_type != 'jcomments') return;
 		$checked  = "";
				if ($field->value['nocomment' == 1 ]) {
						$checked = ' checked="checked"';
					}
		
    	// get the JComments Class
        if (file_exists(JPATH_SITE.DS.'components'.DS.'com_jcomments'.DS.'jcomments.php')) 
        {
        $field->html	= '';
        $field->html	.= '<p>JComments Field Plugin was developed by Markus Rouenhoff - www.joomla-aktuell.de</p>';
     
        $field->html .= '<label><input type="checkbox" name="'.$field->name.'[nocomment]" value="1" '.$checked.'/>Disable Comments for this item.</label>';
         }else{
		    $field->html	= '<p style="color:red";>Please install JComments Component!</p>';
        }
	}

  // 
	function onBeforeSaveField( $field, &$post, &$file )
	{
		// execute the code only if the field type match the plugin type
		if($field->field_type != 'jcomments') return;
		if(!$post) return;
				
		  //print_r ($post);    //jexit();

      if (isset($post["nocomment"])) {
      $field->value['nocomment'] = 1;
      } else {
      $field->value['nocomment'] = 0;
      }
	
  }

  // this is for the frontend display
	function onDisplayFieldValue(&$field, $item, $values=null, $prop='display')
	{
		// execute the code only if the field type match the plugin type
		if($field->field_type != 'jcomments') return;
   
		if (file_exists(JPATH_SITE.DS.'components'.DS.'com_jcomments'.DS.'jcomments.php')) {
		require_once (JPATH_SITE.DS.'components'.DS.'com_jcomments'.DS.'jcomments.php');
		} else {
		return;
		}
      
    if (!$field->value[0]) {
    
    $object_group = 'com_flexicontent';
		$object_title = $item->title;
		$object_id 	  = $item->id;
    
    $comment = '<div class="comments">'.JComments::show($object_id, $object_group, $object_title).'</div>';
    
		// initialise property
		$field->display = $comment;
		}
	}

}